/**
 * Coordinate.java
 *
 * Storage class for a coordinate in 2D space.
 * This is a substitute for not having any structs in Java.
 *
 * Typically used for waypoints and storage of coordinates of course.
 * 
 * Created by: Andrew Armstrong
 * Last Modified: 19/04/08
 */

public class Coordinate
{
	/*************************
		Variables
	*************************/
	public int x, y;
	
	/*************************
		Constructor
	*************************/
	
	// No input defaults to 0,0
	public Coordinate()
	{
		x = 0;
		y = 0;
	}
	// Construct with inputs x, y
	public Coordinate(int x, int y)
	{
		this.x = x;
		this.y = y;
	}
}
