/**
 * CameraImageStatic.java
 * 
 * A simple class that complements CameraImage. This, instead of accepting a camera controller to feed frames to it, will simply be there to shove an image onto.
 * 
 * It will be used to throw any non-live stuff at (thresholding, debug, whatever). Wireframes might go on both.
 * 
 * This 
 * 
 * Created by; Andrew Armstrong
 * Last Modified: 04/05/08
 *
 */
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import javax.swing.*;
import javax.swing.event.*;

public class CameraImageStatic extends JPanel{
	
	// image is public so the image can be used
	public JImagePanelStatic image;
	private GridBagLayout gridBag;

	////////////////////////////////////////////////////
	// CONSTURCTOR
	////////////////////////////////////////////////////

	public CameraImageStatic() {
		gridBag = new GridBagLayout();
		this.setLayout(gridBag);

		// Current image is stored as an image panel
		image = new JImagePanelStatic();
		gridBag.setConstraints(image, new GridBagConstraints(0,1,3,7,0,0,GridBagConstraints.CENTER,GridBagConstraints.NONE,new Insets(0,0,0,0),0,0));
		this.add(image);
	}
}