/**
 * ImageUpdateListener
 *
 * Listener interface for camera updates. Implemented by CameraImage.java, referenced by ImageGrabber.java
 *
 * Original Code: David Bull - http://www.uk-dave.com/projects/java/colourtracker.php
 * Modified by: Scott Culcheth
 * Further modified by: Chris Carter
 *
 * Last Modified: 21.11.07
 * - Fix for compilation by uncommenting "<E>" - Andrew Armstrong.
 *
 */

public interface ImageUpdateListener //<E>
{
	/**
	 *
	 * @param e
	*/
	public void imagesUpdated();
}