/**
 * SimTrackArea.java
 * Defines areas of the track (e.g. track floor, walls) in rectangular form
 * Called by SimDraw.java, for use with CarAIMain.java.
 *
 * Renamed by Andrew Armstrong from TrackArea.java.
 *
 * Created by: Chris Carter
 * Last Modified: 04.05.08
 *
 */

import java.awt.*;
import java.awt.geom.*;

public class SimTrackArea extends Rectangle {
	boolean DRIVEABLE;

	private final static long serialVersionUID = 1L;

	public SimTrackArea(int x, int y, int w, int h, boolean driv){
		super(x,y,w,h);
		DRIVEABLE = driv;
	}
 }

